*{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}
body
{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #000;
}
input{
    display: none;
}
.container{
    width:100%;
    text-align: center;
}
h1{
    position: relative;
    margin: 40px 0;
    font-size: 35px;
    font-weight: 800;
    color: #fff;
    z-index: 1;
    overflow: hidden;
}

h1:before{
    content: '';
    position: absolute;
    left: -20%;
    width: 120%;
    height: 100%;
    background: linear-gradient(90deg,transparent 0%, #000 5%, #000 100%);
    animation: animate 5s linear infinite;
    animation-delay: 2s;
}
@keyframes animate {
    0%{
         left: -20%;
    }
    100%{
      left: 110%;
    }
}
h1 span
{
color: #ff022c;
} 


video
{
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
object-fit: cover;
z-index: 2;
pointer-events: none;
mix-blend-mode: screen;
}

h2{
    font-weight: normal;
    font-size: 25px;
    position: relative;
    margin: 40px 0;
    color: white;
}
h2::before{
    content: '';
    position: absolute;
    width: 100px;
    height: 3px;
    background-color: rgb(248, 65, 9);
    bottom: -10px;
    left: 50%;
    transform:translatex(-50%);
    animation: animate 4s linear infinite;
}
h2 span
{
 color: #b50df3;   
}

.top-content{
    background-color:  rgb(199, 192, 192);
    width: 90%;
    margin: 0 auto 20px auto;
    height: 60px;
    display: flex;
    align-items: center;
    border-radius: 5px;
    box-shadow: 3px 3px 5px rgb(201, 187, 187);
}
h3{
   height: 100%;
   background-color:  #191970;
   line-height: 60px;
   padding: 0 50px;
   color: rgb(252, 250, 250)
}
label{
    display: inline-block;
    height: 100%;
    margin: 0 20px;
    line-height: 60px;
    font-size: 18px;
    color: grey;
    cursor: pointer;
    transition: color .5s;
}
label:hover{
    color: rgb(213, 17, 17);
}
.photo-gallary{
    width: 90%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 20px;
}
.pic{
    position: relative;
    height: 230px;
    border-radius: 20px;
    box-shadow: 3px 3px 5px rgb(201, 187, 187);
    cursor: pointer;
    transition: .5s;
}
.pic img{
    width: 100%;
    height: 100%;
    border-radius: 10px;
    transition: .5s;
}
.pic::before{
    content: "SHOVIK COLLECTION";
    position: absolute;
    top: 50%;
    left:50%;
    transform: translate(-50%, -50%);
    color:white;
    font-size: 22px;
    font-weight:bold;
    width:100%;
    margin-top:-100px;
    opacity: 0;
    transition: .3s;
    transition-delay: .2s;
    z-index: 1;
}
.pic:after{
    content:"";
    position: absolute;
    width:100%;
    bottom:0;
    left:0;
    border-radius: 10px;
    height: 0;
    background-color: rgba(0,0,0,.4);
    transition: .3s;  
}
.pic:hover::after{
    height:100%;
}
.pic:hover::before{
    margin-top: 0;
    opacity: 1;
}
#check1:checked ~ .container .photo-gallary .pic{
    opacity: 1;
    transform: scale(1);
    position: relative;
    transition: .5s;
}


#check2:checked ~ .container .photo-gallary .achieve{
    transform: scale(1);
    opacity: 1;
    position: relative;
}
#check2:checked ~ .container .photo-gallary .srm,
#check2:checked ~ .container .photo-gallary .events{
  opacity: 0;
  transform: scale(0);
  position: absolute;
  transition: 0s;
}

#check3:checked ~ .container .photo-gallary .srm{
    transform: scale(1);
    opacity: 1;
    position: relative;   
}
#check3:checked ~ .container .photo-gallary .achieve,
#check3:checked ~ .container .photo-gallary .events{
  opacity: 0;
  transform: scale(0);
  position: absolute;
  transition: 0s;
}

#check4:checked ~ .container .photo-gallary .events{
    transform: scale(1);
    opacity: 1;
    position: relative;
}
#check4:checked ~ .container .photo-gallary .achieve,
#check4:checked ~ .container .photo-gallary .srm{
  opacity: 0;
  transform: scale(0);
  position: absolute;
  transition: 0s;
}
@media screen and (max-width: 815px){
    body{
        padding-top: 6rem;
    }
     .modal{
        grid-template-columns: 1fr;
        padding:2rem;
     }

     .image-wrapper{
        display: none;
     }
}

